//---------------------------------------------------------------------------

#include <vcl.h>
#include "ITSSkinF.h"
#include "ITSUtilF.h"
#include "AppGlobalF.h"
#include "ITSLangTransF.h"
#pragma hdrstop

#include "ITSSELDAYF.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "cxButtons"
#pragma link "cxCalendar"
#pragma link "cxContainer"
#pragma link "cxControls"
#pragma link "cxDropDownEdit"
#pragma link "cxEdit"
#pragma link "cxGraphics"
#pragma link "cxGroupBox"
#pragma link "cxLookAndFeelPainters"
#pragma link "cxLookAndFeels"
#pragma link "cxMaskEdit"
#pragma link "cxTextEdit"
#pragma link "dxSkinBlack"
#pragma link "dxSkinBlue"
#pragma link "dxSkinsCore"
#pragma resource "*.dfm"
TITSSELDAY *ITSSELDAY = NULL;
//---------------------------------------------------------------------------
__fastcall TITSSELDAY::TITSSELDAY(TComponent* Owner)
    : TForm(Owner)
{
    LangTrans->Translate(this, ITSDb_GetConnection());
    CMM_LoadForm(g_sFormsDir, this);
    FSelected = false;
    cxDateEdit1->Date = Now();
}
//---------------------------------------------------------------------------
void __fastcall TITSSELDAY::BtnSelectClick(TObject *Sender)
{
    FSelected = true;
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TITSSELDAY::BtnCancelClick(TObject *Sender)
{
    FSelected = false;
    Close();
}
//---------------------------------------------------------------------------

void __fastcall TITSSELDAY::FormClose(TObject *Sender, TCloseAction &Action)
{
    CMM_SaveForm(g_sFormsDir, this);
}
//---------------------------------------------------------------------------

